<template>
	<div class="cg-affiliate-sale-status-block add-top-mdm">
                <!-- cg-mobile-affiliate-sale-status-block for mobiles -->
                <div class="cg-mobile-affiliate-sale-status-block">
                  <select name="cg-mobile-affiliate-sale-status-block" id="cg-mobile-affiliate-sale-status-block">
                    <option value="all-noti">Notifications</option>
                    <option value="likes">Request Payouts</option>
                    <option value="comments">Payout Setup</option>
                  </select>
                </div>
                <!-- cg-mobile-affiliate-sale-status-block for mobiles Ends -->
                <nav id="affiliate-payout-main-tabs" class="affiliate-sold-products">
                  <div class="nav affiliate-nav-head-wrap nav-tabs d-flex justify-content-center" id="affiliate-nav-tab" role="tablist">

                    <a class="cg-notification-thumb nav-item nav-link active" id="aff-notification" data-toggle="tab" href="#aff-notification-tray" role="tab" aria-controls="aff-notification-tray" aria-selected="true">
                      <h3>Notifications</h3>
                    </a>

                    <a class="cg-notification-thumb nav-item nav-link" id="aff-payout-request" data-toggle="tab" href="#aff-payout-tray" role="tab" aria-controls="aff-payout-tray" aria-selected="false">
                      <h3>Request Payouts</h3>
                    </a>

                    <a class="cg-notification-thumb nav-item nav-link" id="aff-payout-setup" data-toggle="tab" href="#aff-payout-setup-tray" role="tab" aria-controls="aff-payout-setup-tray" aria-selected="false">
                      <h3>Payout Setup</h3>
                    </a>

                  </div>
                </nav>

                <div class="tab-content pad-top-sml cg-affiliate-product-table" id="affiliate-nav-tabContent">
                  <div class="aff-notification-tray tab-pane text-center fade show active" id="aff-notification-tray" role="tabpanel" aria-labelledby="aff-notification">
                      <img src="/images/paypal.png" class="img-fluid" alt="creativegoods">
                      <!-- <p>pay@webhance.net</p> -->
                      <h5>You have no Pending Requests</h5>
<!--                    <button type="button" class="btn btn-primary">Cancel</button>-->
                  </div>

                  <div class="tab-pane text-center fade" id="aff-payout-tray" role="tabpanel" aria-labelledby="aff-payout-request">
                    <div class="alert alert-light text-center" role="alert">Affiliate Payouts are processed via paypal and can take up to 7 working days.</div>
                    <div class="aff-payout-text-box d-flex align-items-center justify-content-center">
                      <div class="input-group">
                        <input type="text" class="form-control" placeholder="$250" aria-label="Username" aria-describedby="basic-addon1">
                        <button type="button" class="btn btn-primary"><i class="fas fa-check"></i></button>
                      </div>
                    </div>
                  </div>

                  <div class="aff-payout-setup-tray tab-pane text-center fade" id="aff-payout-setup-tray" role="tabpanel" aria-labelledby="aff-payout-setup">
                    <img src="/images/paypal.png" class="img-fluid" alt="creativegoods">
                    <h5>{{ user_.user_profile.payout_email }} is your current Paypal ID</h5>
<!--                    <button type="button" class="btn btn-primary">Change</button>-->
                  </div>

                </div>

              </div>
</template>
<script>
    import AffiliatePagination from '../components/AffiliatePagination'
    import Preloader from '../components/Preloader.vue'
    export default {
        props:['user'],
        data(){
            return{
                user_:JSON.parse(this.user),
            }

        },
        components:{

        },
        methods: {

            preLoad: function() {
                // just open
                const close = this.$preloaders.open({
                    container: ".tab-pane",
                    component:Preloader,
                    "overlayStyle": {
                        "backgroundColor": "#fff",
                        "opacity": .9,
                    }
                });

                // and close. That's it.
                setTimeout(close, 1500);
            }
        },

        mounted(){

        },
        beforeCreate() {
            this.isEmpty=false;
        }
    }

</script>
